Page MenuHome

particle system convert button doesn't do anything.
Closed, ResolvedPublic

Description

System Information
Operating system: windows 10
Graphics card: rtx 2070

Blender Version
Broken: blender-2.80.0-git.4c31bed6b46-windows64
Worked: 2.79b

for particle system, in modifiers panel, convert button doesn't do anything.

Exact steps for others to reproduce the error

  1. new scene
  2. duplicate cube
  3. apply particle system at cube
  4. set particle end to 1
  5. set particle render to object cube.001
  6. go to modifiers panel and press convert. it doesn't do anything

Event Timeline

Stephen Swaney (stiv) lowered the priority of this task from 90 to 50.Dec 3 2018, 9:24 PM

Confirmed 2-dec daily build linux

FYI the convert button still does not work for me either.

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 1060/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 416.16

Blender Version
Broken: version: 2.80 (sub 60), branch: master, commit date: 2019-05-06 16:39, hash: rBc0432c2385e6

Brecht Van Lommel (brecht) changed the task status from Unknown Status to Resolved.May 23 2019, 3:29 AM
Brecht Van Lommel (brecht) claimed this task.

The original bug report seems to be fixed, by rBcf2e35fcfe31: Fix T58118: Make duplicates real does nothing.

If it's still possible to redo this bug, please create a new bug report with .blend file to reproduce the problem.